﻿@model PagedList<DomainModels.Entities.Support.Ticket>

@section Styles{
    <link href="~/Content/site/css/grid.css" rel="stylesheet" />
}

<h2 class="page-head">@ViewBag.Title</h2>

@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")

<div class="row">
	<div class="col-lg-12">
		<table id="miyazaki" class="tbl-grid" style="width: 100%;">
			<thead>
				<tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Subject)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().CreatedOn)
                    </th>
                    <th>Status</th>
                    <th></th>
				</tr>
			</thead>
			<tbody>
			@foreach (var item in Model.Data)
            {
				<tr>
					<td class="little-bold" data-th="@Html.DisplayNameFor(model => model.Data.First().Subject)">
                        @item.Subject
					</td>
                    <td data-th="@Html.DisplayNameFor(model => model.Data.First().CreatedOn)">
                        @Html.ShowNormalMiladiDateTime(item.CreatedOn)
                    </td>
                    <td data-th="Status">
                        @Html.ShowBoolean(item.IsOpen, "Open", "Closed")
                    </td>
                    <td>
                        <a class="btn btn-info" href="/@ViewContext.RouteData.Values["lang"]/member/ticket/detail?rowGuid=@item.RowGuid">Detail</a>
                    </td>
				</tr>
			}
			</tbody>
		</table>

		@Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Index", new { showJudge = Request["showJudge"] }), true)
			
	</div>
</div>

@section scripts{
    <script src="~/Content/admin/js/auto-refresh.js"></script>
}